import { MongoClient } from "mongodb";
import config from '../../../config.json'

const uri = config.MONGODB_URI;
const options = {};

const mongo = new MongoClient(uri, options);

export const connect = async () => {
    await mongo.connect();
    // return mongo.db(dbName);
}

export const disconnect = async () => {
    mongo.close();
}

export const getDB = async (dbName = config.MONGODB_DB) => {
    await connect();
    return mongo.db(dbName);
}

export const Users = async () => {
    const db = await getDB();
    return db.collection('users');
}

export const AccessTokens = async () => {
    const db = await getDB();
    return db.collection('accessTokens');
}

export const Planets = async () => {
    const db = await getDB();
    return db.collection('planets');
}

export const Buildings = async() => {
    const db = await getDB();
    return db.collection('buildings');
}

export const Lang = async (language = "en") => {
    const db = await getDB(`${config.MONGODB_DB}_${language}`);
    return [
        await db.collection('general'),
        await db.collection('buildings'),
        await db.collection('ships'),
        await db.collection('resources'),
        await db.collection('research')
    ]
}